package com.dong.demo013.debug

fun debugall() {
    var a:Int=1;
    val b:debugClass=debugClass();
    print("999")
    for (i in 1..10){
        a++;
        val p:Int=1;
    }
    debugChild1()
    print("1");
}

class debugClass {
    val c1:Int=1;
    val b2:String="1";

}

fun debugChild1(){
    print(1);
    val  p1:Int=1;
    debugChild2()
    print("1");
}


fun debugChild2(){
    val  p2:Int=2;
    print(2)
}